Skip to main content
POST
/
tag
Create a tag
curl --request POST \
  --url https://www.getsnippets.ai/api/prompts/tag \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tagName": "<string>",
  "tagColor": "#FF5733",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parentTagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "tag": {}
  },
  "usage": {
    "remainingRequests": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Body

application/json
tagName
string
required

Name of the tag

Maximum string length: 1000
tagColor
string
required

Color for the tag

Maximum string length: 100
Example:

"#FF5733"

teamId
string<uuid>
required

ID of the team this tag belongs to

parentTagId
string<uuid> | null

Optional parent tag ID for nested tags

Response

Tag created successfully

success
boolean
Example:

true

data
object
usage
object